Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Auto_Ptr.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Auto_Ptr.i"`
`#include "ace/Auto_Ptr.cpp"`

Include dependency graph for Auto_Ptr.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Auto_Array_Ptr
| Implements an extension to the draft C++ standard auto_ptr abstraction. More...
class | ACE_Auto_Basic_Array_Ptr
| Implements an extension to the draft C++ standard auto_ptr abstraction. This class allows one to work on non-object (basic) types that must be treated as an array, e.g., deallocated via "delete [] foo". More...
class | ACE_Auto_Basic_Ptr
| Implements the draft C++ standard auto_ptr abstraction. This class allows one to work on non-object (basic) types. More...
class | auto_ptr
| Implements the draft C++ standard auto_ptr abstraction. More...
## Defines
#define | ACE_AUTO_PTR_RESET(X, Y, Z)

## Detailed Description

Id:
  Auto_Ptr.h,v 4.33 2003/07/30 21:15:58 dhinton Exp

Author:
  Doug Schmidt <schmidt@uci.edu> , Irfan Pyarali <irfan@cs.wustl.edu> , Jack Reeves <jack@fx.com> , Dr. Harald M. Mueller <mueller@garwein.hai.siemens.co.at>

## Define Documentation

#define ACE_AUTO_PTR_RESET | ( | X,
|  | Y,
|  | Z |  | ) |

| Value:
    do { \
             X.reset (Y); \
          } while (0)